Subject: [MMUSIC] Comments on ABNF in 4566bis

From: Colin Perkins <[email-masked]>
Date: Tue, 25 Nov 2014 12:34:17 +0000

Hi,

The chairs asked me to review the ABNF in rfc4566bis. This looks to be going in the right direction. Some comments:

a=cat:
- This attribute was used with SAP [RFC2974] to categorise session announcements, for example “a=cat:sport.football”. There was never a formal definition beyond a dot-separated string, and intentionally no central registry of categories. 
- Should likely have a not to say this is obsolete.
- Syntax should likely be non-ws-string

a=keywds:
- Like a=cat:, this was intended for use with SAP. I’m not aware that it was ever implemented. 
- Should likely have a not to say this is obsolete.
- Syntax should likely be: “keywords = text”

a=tool:
- Something like HTTP user agent string
- Syntax should likely be: “tool-name-and-version = text”

a=ptime: and a=maxptime:
- Are these always integers?

a=rtpmap:
- payload-type is an integer in the range 0-127 in RTP
- encoding-name is a MIME subtype, and should have the syntax to match this
- is clock-rate always an integer?

a=type:
- I assume a registry was intended, but it’s not clear there’s any need now

a=charset:
- This is a name from the registry at http://www.iana.org/assignments/character-sets/character-sets.xhtml and needs to follow that syntax

a=sdplang: and a=lang:
- Should reference the RFC5646 definition

a=quality:
- I thought the intent here was a real number, in the range 0…10

a=fmtp:
- The format parameters are MIME media type parameters, and need to reflect their syntax.

Colin

-- 
Colin Perkins
https://csperkins.org/

---

From: Peter Stevens <[email-masked]>
Date: Thu, 27 Nov 2014 09:12:08 +0000

Hi,

> - Are these always integers?

This is a question within the EBU Audio Contribution over IP (ACIP) group have noted that the ptime units are not specified within RFC4566.
If you were not already aware, within the AES, the AES67-2013 AES Standard for audio applications of networks - High-performance streaming audio-over-ip interoperability, packet time is defined with decimal values as follows:

a-ptime <milliseconds>[.<milliseconds decimal>]
a=maxptime <milliseconds>[.<milliseconds decimal>]

Do ptime integers possibly conflict with decimal values?
It is unknown how manufacturers of products define their value of ptime internally, such as 20ms, as either an integer of 20 (ms) or as 0.020

Best regards,

Peter Stevens

BBC R&D